aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSelene ToyKeeper2018-11-03 16:41:45 -0600
committerSelene ToyKeeper2018-11-03 16:41:45 -0600
commit1756b0beae04f04b6072fcfd2bbe10fb2b4dd116 (patch)
tree116e21b8e75fb1479e9f6fe1f6dbf5a94ea9967c
parentReduced duplication across build scripts, replaced per-MCU scripts with a tin... (diff)
downloadanduril-1756b0beae04f04b6072fcfd2bbe10fb2b4dd116.tar.gz
anduril-1756b0beae04f04b6072fcfd2bbe10fb2b4dd116.tar.bz2
anduril-1756b0beae04f04b6072fcfd2bbe10fb2b4dd116.zip
added a wrapper to flash fuses and firmware at the same time, like the old scripts did
Diffstat (limited to '')
-rwxr-xr-xbin/flash.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/flash.sh b/bin/flash.sh
new file mode 100755
index 0000000..019631a
--- /dev/null
+++ b/bin/flash.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Flashes both fuses and firmware.
+
+set -e
+
+BASEDIR=$(dirname "$0")
+export ATTINY=$1 ; shift
+export PROGRAM=$1 ; shift
+if [ ! -f "$PROGRAM" ]; then PROGRAM="$PROGRAM".hex ; fi
+$BASEDIR/flash-tiny"$ATTINY"-fuses.sh
+$BASEDIR/flash-tiny"$ATTINY".sh "$PROGRAM"
If you find this content useful please consider a small donation via bitcoin: bitcoin:1mxKyQsHHugqRxPKgwaA7wUwJEGCNthn2?amount=0.001&message=Donation Scraping git contents via cgit is very resource intensive. The continued hosting of these git repositories is entirely financed by your bitcoin contributions. For donations of a least 1 mBTC you include your IP address in the message of your bitcoin donation. This will remove this message in the future for requests from your IP, which will significantly reduce token usage. In any case, any contributions to bitcoin address 1mxKyQsHHugqRxPKgwaA7wUwJEGCNthn2 are very welcome. Thanks in advance for you contribution to a self-sustaining ecosystem.